Subject: bug#10578: 24.0.92; No png images on OpenSUSE 12.1

From: Juanma Barranquero <[email-masked]>
Date: Thu, 26 Jan 2012 15:59:20 +0100

On Thu, Jan 26, 2012 at 14:45, Eli Zaretskii <[email-masked]> wrote:

> To tell the truth, I don't like such vague warning, since the
> reference to *Messages* is not specific enough to be useful, IMO.  It
> is better to show some more specific text in the delayed warning
> itself.

That goes back to what I said in a previous message (that you didn't answer):

"If we want to warn with the real message for image_error, either we
duplicate the Fformat call in add_to_log, which seems a waste, or we
add some function xdisp.c:add_to_log_and_warn. Alternatively,
repurposing add_to_log to also (optionally) warn wouldn't be
difficult, as it is used only nine times in the sources."

    Juanma